Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.data
Class AlphabetContainerParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.parameters.InstanceParameterSet
              de.jstacs.data.AlphabetContainerParameterSet

All Implemented Interfaces:
  GalaxyConvertible, RangeIterator, Storable, Cloneable

    public class AlphabetContainerParameterSet

extends InstanceParameterSet

Class for the `AlphabetContainerParameterSet.SectionDefinedAlphabetParameterSet` of an `AlphabetContainer`.

Author:
  Jan Grau

Nested Class Summary
`static class` | `AlphabetContainerParameterSet.AlphabetArrayParameterSet` Class for the parameters of an array of `Alphabet`s of defined length.
`static class` | `AlphabetContainerParameterSet.SectionDefinedAlphabetParameterSet` Class for the parameter set of an array of `Alphabet`s where each `Alphabet` may be used for one or more sections of positions.

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent, ranged`

Constructor Summary
`AlphabetContainerParameterSet(Alphabet alph)` Creates a new `AlphabetContainerParameterSet` of a simple `AlphabetContainer` from a single `Alphabet`.
`AlphabetContainerParameterSet(Alphabet[] alphabets)` Creates a new `AlphabetContainerParameterSet` from an array of `Alphabet`s.
`AlphabetContainerParameterSet(Alphabet[] alphabets, int[] indexes)` Creates a new `AlphabetContainerParameterSet` from an array of `Alphabet`s and an array of `int`s defining the `Alphabet` index `i` in `alphabets` that is used for position `i`.
`AlphabetContainerParameterSet(AlphabetContainer.AlphabetContainerType type, boolean simple)` Creates a new `AlphabetContainerParameterSet` of an `AlphabetContainer` with `AlphabetContainer.AlphabetContainerType` `type`.
`AlphabetContainerParameterSet(StringBuffer representation)` The standard constructor for the interface `Storable`.

Method Summary
`AlphabetContainerParameterSet` | `clone()` Creates a full clone (deep copy) of this `ParameterSet`.
`protected void` | `fromXML(StringBuffer representation)` Parses the instance fields of a `ParameterSet` from the XML representation as returned by `ParameterSet.toXML()`.
`String` | `getInstanceComment()` Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.
`String` | `getInstanceName()` Returns the name of an instance of the class that can be constructed using this `ParameterSet`.
`int` | `getPossibleLength()` Returns the length of the `AlphabetContainer` that can be instantiated using this `AlphabetContainerParameterSet.SectionDefinedAlphabetParameterSet`.
`boolean` | `isDiscrete()` Indicates if all positions use `DiscreteAlphabet.DiscreteAlphabetParameterSet`, i.e.
`boolean` | `isSimple()` Indicates if all positions use the same `Alphabet`, i.e. if the corresponding `AlphabetContainer` is simple.
`protected void` | `loadParameters()` Loads the parameters for this `ParameterSet`.
`StringBuffer` | `toXML()` This method returns an XML representation as `StringBuffer` of an instance of the implementing class.

Methods inherited from class de.jstacs.parameters.InstanceParameterSet
`getInstance, getInstanceClass`

Methods inherited from class de.jstacs.parameters.ParameterSet
`fromGalaxy, getErrorMessage, getId, getIndex, getNumberOfParameters, getNumberOfValues, getParameterAt, getParent, hasDefaultOrIsSet, initParameterList, initParameterList, isAtomic, isRanged, makeRanged, next, parametersLoaded, propagateId, recieveId, replaceParametersWithRangedInstance, reset, resetToFirst, setParent, simplify, toGalaxy, valuesToString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AlphabetContainerParameterSet

    public AlphabetContainerParameterSet(AlphabetContainer.AlphabetContainerType type,
                                         boolean simple)

  Creates a new `AlphabetContainerParameterSet` of an `AlphabetContainer` with `AlphabetContainer.AlphabetContainerType` `type`. If `simple` is `true`, only a single `Alphabet` is expected.

  Parameters:
    `type` - the type of the alphabet(s)
    `simple` - indicates if there shall be only a single `Alphabet`
  See Also:
    `AlphabetContainer.AlphabetContainerType`, `InstanceParameterSet.InstanceParameterSet(Class)`

### AlphabetContainerParameterSet

    public AlphabetContainerParameterSet(StringBuffer representation)
                                  throws NonParsableException

  The standard constructor for the interface `Storable`. Creates a new `AlphabetContainerParameterSet` out of its XML representation.

  Parameters:
    `representation` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `AlphabetContainerParameterSet` could not be reconstructed out of the XML representation (the `StringBuffer` `representation` could not be parsed)
  See Also:
    `InstanceParameterSet.InstanceParameterSet(StringBuffer)`, `Storable`

### AlphabetContainerParameterSet

    public AlphabetContainerParameterSet(Alphabet alph)
                                  throws Exception

  Creates a new `AlphabetContainerParameterSet` of a simple `AlphabetContainer` from a single `Alphabet`.

  Parameters:
    `alph` - the `Alphabet`
  Throws:
    `Exception` - if an error occurred during the creation of the appropriate parameters
  See Also:
    `InstanceParameterSet.InstanceParameterSet(Class)`

### AlphabetContainerParameterSet

    public AlphabetContainerParameterSet(Alphabet[] alphabets)
                                  throws Exception

  Creates a new `AlphabetContainerParameterSet` from an array of `Alphabet`s.

  Parameters:
    `alphabets` - the array of `Alphabet`s
  Throws:
    `Exception` - if an error occurred during the creation of the appropriate parameters
  See Also:
    `InstanceParameterSet.InstanceParameterSet(Class)`

### AlphabetContainerParameterSet

    public AlphabetContainerParameterSet(Alphabet[] alphabets,
                                         int[] indexes)
                                  throws Exception

  Creates a new `AlphabetContainerParameterSet` from an array of `Alphabet`s and an array of `int`s defining the `Alphabet` index `i` in `alphabets` that is used for position `i`.

  Parameters:
    `alphabets` - the `Alphabet`s
    `indexes` - the indexes
  Throws:
    `Exception` - if an error occurred during the creation of the appropriate parameters
  See Also:
    `InstanceParameterSet.InstanceParameterSet(Class)`

Method Detail

### clone

    public AlphabetContainerParameterSet clone()
                                        throws CloneNotSupportedException

  Description copied from class: `ParameterSet`
  Creates a full clone (deep copy) of this `ParameterSet`. As a convenience-method the user can use `fillWithStandardFieldsForClone(ParameterSet)` on a newly created instance of a subclass of `ParameterSet` to obtain a clone/copy of all standard member variables (those already defined in `ParameterSet`) in the passed `ParameterSet`. Using this method, the cloning process becomes merely three-step:
  - Create a new instance of your subclass of `ParameterSet`, most likely with an empty constructor or the one taking just the instance class.
  - Call `this.fillWithStandardFieldsForClone` on this instance.
  - Return the instance.
  This method fulfills the conventions of `Object`'s method `Object.clone()`.

  Overrides:
    `clone` in class `ParameterSet`
  Returns:
    a deep clone/copy of this `ParameterSet`
  Throws:
    `CloneNotSupportedException`

### isDiscrete

    public boolean isDiscrete()

  Indicates if all positions use `DiscreteAlphabet.DiscreteAlphabetParameterSet`, i.e. if all `Alphabet`s of the corresponding `AlphabetContainer` are discrete.

  Returns:
    `true` if all positions are discrete, `false` otherwise

### isSimple

    public boolean isSimple()

  Indicates if all positions use the same `Alphabet`, i.e. if the corresponding `AlphabetContainer` is simple.

  Returns:
    `true` if all positions use the same `Alphabet`, `false` otherwise

### toXML

    public StringBuffer toXML()

  Description copied from interface: `Storable`
  This method returns an XML representation as `StringBuffer` of an instance of the implementing class.

  Specified by:
    `toXML` in interface `Storable`
  Overrides:
    `toXML` in class `InstanceParameterSet`
  Returns:
    the XML representation

### fromXML

    protected void fromXML(StringBuffer representation)
                    throws NonParsableException

  Description copied from class: `ParameterSet`
  Parses the instance fields of a `ParameterSet` from the XML representation as returned by `ParameterSet.toXML()`.

  Overrides:
    `fromXML` in class `InstanceParameterSet`
  Parameters:
    `representation` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the XML code could not be parsed
  See Also:
    `ParameterSet.toXML()`

### getPossibleLength

    public int getPossibleLength()

  Returns the length of the `AlphabetContainer` that can be instantiated using this `AlphabetContainerParameterSet.SectionDefinedAlphabetParameterSet`.

  Returns:
    the length

### loadParameters

    protected void loadParameters()
                           throws Exception

  Description copied from class: `ParameterSet`
  Loads the parameters for this `ParameterSet`. This is in most cases done by calling `ParameterSet.initParameterList()` or `ParameterSet.initParameterList(int)` to initialize `ParameterSet.parameters` and afterwards filling `ParameterSet.parameters` with instances of subclasses of `Parameter`.

  Specified by:
    `loadParameters` in class `ParameterSet`
  Throws:
    `Exception` - if the parameters could not be loaded
  See Also:
    `Parameter`, `ParameterSet.parameters`, `ParameterSet.initParameterList()`, `ParameterSet.initParameterList(int)`

### getInstanceName

    public String getInstanceName()

  Description copied from class: `InstanceParameterSet`
  Returns the name of an instance of the class that can be constructed using this `ParameterSet`.

  Specified by:
    `getInstanceName` in class `InstanceParameterSet`
  Returns:
    the name of the class

### getInstanceComment

    public String getInstanceComment()

  Description copied from class: `InstanceParameterSet`
  Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.

  Specified by:
    `getInstanceComment` in class `InstanceParameterSet`
  Returns:
    the comment of the class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD